<?php
/*
	* @package Quick2Cart FJ Multivendor Tax plugin
	* @copyright Copyright (C) 2014 FasterJoomla. All rights reserved.
	* @license GNU GPLv2 <http://www.gnu.org/licenses/old-licenses/gpl-2.0.html>
	* @link     http://www.fasterjoomla.com
*/

defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.plugin.plugin');
$lang = JFactory::getLanguage();
$lang->load('plug_qtc_tax_default', JPATH_ADMINISTRATOR);

class plgQtctaxqtc_fj_tax extends JPlugin
{
	/**
	 * Retrieve the store's tax percentage
	 * @param float $amt
	 * @return array
	 */
	function addTax($amt)
	{
		error_log('Adding Tax for '.$amt);
		$extra = $this->getExtraFields();
		
		$tax_per = $extra->tax;
		//error_log('  tax = '.$tax_per);
		
		$tax_value= ($tax_per*$amt)/100;
	
		$return[]=$tax_per."%";
		$return[]=$tax_value;	
			 
		return $return;			
	}
	
	/**
	 * Invoke the qtc fj extra fields plugin to retrieve extra field values
	 * @return Ambigous <string, mixed>
	 */
	private function getExtraFields() {
		JPluginHelper::getPlugin('system','qtc_fj_extra_fields');
		$extraFields=JDispatcher::getInstance()->trigger('getExtraFields');
		if(!empty($extraFields)){
			$result=$extraFields[0];
		} else {
			$result = 'false';
			JError::raiseWarning(500,'Extrafields not invoked - tax');
		}
		
		return $result;
	}

	
}//class ends 
